load = {}

function load:initializeRNG()
	math.randomseed(os.time())
	math.random()
	math.random()
	math.random()
	math.random()
end
	
function load:initializeFonts()
	defaultFont = lg.newFont("assets/fonts/bitwise.ttf")
	openingFont = lg.newFont("assets/fonts/bitwise.ttf", 48)
	menuFont = lg.newFont("assets/fonts/bitwise.ttf", 36)	
	winFont = menuFont
	loseFont = menuFont
	facefont = lg.newFont()
	hudfont = lg.newFont(20)
end

function load:initializeGlobals()
	globals = {}
	
	globals.diffslot = 2
	globals.diffs = {"Easy","Normal","Hard"}
	globals.difficulty = globals.diffs[globals.diffslot]
	function globals:toggleDifficulty(dir)
		self.diffslot = self.diffslot + dir
		if self.diffslot > 3 then self.diffslot = 1 end
		if self.diffslot < 1 then self.diffslot = 3 end
		self.difficulty = self.diffs[self.diffslot]
	end
	
	globals.screen = "N/A"
	function globals:toggleScreenRes(dir)
		print("screen toggle")	
	end
	
	globals.boopslot = 2
	globals.boops = {"bip","boop","blip","borp"}
	globals.boop = globals.boops[globals.boopslot]
	function globals:toggleBoop(dir)
		self.boopslot = self.boopslot + dir
		if self.boopslot > 4 then self.boopslot = 1 end
		if self.boopslot < 1 then self.boopslot = 4 end
		self.boop = self.boops[self.boopslot]
	end
	
	globals.placeslot = 1
	globals.places = {"p","l","a","c","e","h","o","l","d","e","r"}
	globals.place = globals.places[globals.placeslot]
	function globals:togglePlace(dir)
		self.placeslot = self.placeslot + dir
		if self.placeslot > 11 then self.placeslot = 1 end
		if self.placeslot < 1 then self.placeslot = 11 end
		self.place = self.places[self.placeslot]
	end
	
	globals.volume = {}
	globals.volume.sfx = 0.5
	globals.volume.bgm = 0.6
end

return load